<template lang="pug">
.col.b-param(:class="paramType")
  .card.border-0.border-sm
    .d-none.d-sm-block.card-header.text-center.py-2.text-wrap
      slot(name='title')
        strong {{ title }}
    .card-body.text-center.p-0.mb-1.mb-sm-0
      .row.no-gutter.align-items-center
        .col-12.d-sm-none.text-left
          slot(name='title')
            strong {{ title }}:
        InputError(:showErrors='showErrors' :warnings='warnings' :errors='errors')
        slot
          .col-12.d-flex.align-items-start
            input.w-100.flex-grow-1.text-right.text-sm-center(readonly='1' v-model="value")
</template>
<script>

export { default } from "./BaseParamBase.vue.js";

</script>
